BARMAN-SYNC-INFO(1)

NAME
barman-sync-info - Barman Sub-Commands

SYNOPSIS

    sync-info
        [ { -h | --help } ]
        [ --primary ]
        SERVER_NAME [ LAST_WAL [ LAST_POS ] ]

DESCRIPTION

Gather information about the current status of a Barman server for synchronization purposes.

This command returns a JSON output for a server that includes: all successfully completed backups, all archived WAL files, the configuration, the last WAL file read from xlog.db, and its position within the file.

PARAMETERS

SERVER_NAME
    Name of the server in barman node

LAST_WAL
    Instructs sync-info to skip any WAL files that precede the specified file (for incremental synchronization).

LAST_POS
    Hint for quickly positioning in the xlog.db file (for incremental synchronization).

-h / --help
    Show a help message and exit. Provides information about command usage.

--primary
    Execute the sync-info on the primary node (if set).

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026